#include <stdio.h>
#include <EzGraph.h>
#include "config.h"
#include "layout.h"
#include "main.h"
#include "graphic.h"
#include "console.h"
#include "command.h"
#include "area.h"
#include "map.h"
#include "status.h"
#include "uty.h"

int main(int argc, char *argv[]){
    EzOpenWindow(CLIENT_WIDTH, CLIENT_HEIGHT);
    init(argc, argv);
    EzEventLoop();
    final();
    return 0;
}


void init(int argc, char *argv[]){
    EzSetFontSize(FONT_SIZE);
	EzSetColorByRGB(255,255,0);
    EzSetMouseHandler(mouseh);
#ifdef FONT
    EzSetFont(FONT);
#endif    
	init_graphic();
	init_console();
	init_command();
	init_area();
    init_map();
	status_init();
    init_uty(argv[0]);
    move_to_title();
	draw_screen();
}

void final(void){
}

void draw_screen(void){
	draw_graphic();
	draw_console();
}
// åǽλƤޤʤ褦ޥåȥå
void mouseh(int x, int y, unsigned int n){
}
